/* GENERAL STYLES */

body, html {
	margin:0;
	padding:0;
	overflow-x: hidden;
	height:auto;
	background: rgb(252,252,252);

}

#wrapper { /* WRAPPER OF ALL PAGE CONTENT - MAX SITE WIDTH IS SET TO 1920PX, THEN STAYS IN CENTER OF SITE WITH SIDE SPACE */
	position:relative;
	max-width:1336px;
	margin-left: auto !important;
	margin-right: auto !important;
  overflow: hidden;
}

a {
	font-family: Oswald-ExtraLight;
	text-decoration: none;
}

h1 {
	font-family: Oswald-Regular;
	font-size: 32px;
	color: black;
}

span {
	font-family: Oswald-ExtraLight;
}

a button, button {
	width:auto;
	font-family: Oswald-Light;
	font-size: 20px;
	padding: 4px 16px;
	text-align: center;
	text-decoration: none;
	background:none;
	outline: none;
	cursor: pointer;
	border-radius: 25px;
	-o-transition: all 0.4s ease;
	-moz-transition: all 0.4s ease;
	-webkit-transition: all 0.4s ease;
	transition: all 0.4s ease;
	display: block;
}

.header { /* MAIN BLOCK FOR HEADER CONTENT */
	position:relative;
  background-image: url('../images/header.jpg');
  background-repeat: no-repeat;
  -webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	background-position: center;
  width: 100%;
	min-height: 84vh;
	margin:0;
	padding:0;
	display:block;
	color:white;
	z-index:1;
}

/* TOP CONTACT NAVIGATION INSIDE HEADER CONTAINER */
.contactNav {
	width:100%;
	background-color:black;
	opacity: 0.7;
	height: auto;
}

.contactNavItem {
	width: 100%;
	text-align: center;
	padding: 8px 0;
	font-family: Oswald-ExtraLight;
	font-size: 14px;
	line-height: 14px;
}

.contactNavItem img {
	display: inline-block;
	height: 16px;
	padding-right: 8px;
}

/* MAIN NAVIGATION BLOCK-GROUP */

.menu {
	border-bottom: 1px solid white;
	width: 96%;
	margin: 0 2%;
}

.nav_icon { /* BLOCK FOR NAV_ICON AND HAMBURGER ICON */
	height:80px;
}

.nav_icon img {
	height: 60px;
	width: auto;
	margin-top: 10px;
}

/* HAMBURGER ICON AND EFFECTS FOR HAMBURGER AND DROPDOWN SLIDE MENU */

.nav_button {
	display:inline;
	float:right;
	z-index:999;
}

.nav_btn-open {
  width: 26px;
  height: 26px;
  position: relative;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
  cursor: pointer;
}

.nav_btn-open span{
  display: block;
  position: absolute;
  height: 2px;
  width: 100%;
  background: #ffffff;
  opacity: 1;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}

.nav_btn-open span:nth-child(1) {
  top: 33px;
}

.nav_btn-open span:nth-child(2) {
  top: 39px;
}

.nav_btn-open span:nth-child(3) {
	width:75%;
  top: 45px;
}

.nav_btn-open.open {
	border:none;
}

.nav_btn-open.open span:nth-child(1) {
  top: 40px;
  -webkit-transform: rotate(135deg);
  -moz-transform: rotate(135deg);
  -o-transform: rotate(135deg);
  transform: rotate(135deg);
}

.nav_btn-open.open span:nth-child(2) {
  opacity: 0;

}

.nav_btn-open.open span:nth-child(3) {
	top: 40px;
	width:100%;
  -webkit-transform: rotate(-135deg);
  -moz-transform: rotate(-135deg);
  -o-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

/* NAVIGATION BLOCK WITH LINKS - MOBILE DROPDOWN */

.navigation { /* BLOCK FOR MENU ITEMS */
	text-align: center;
	background-color: white;
	opacity: 0.85;
	display:none;
	padding: 24px 0;
}

.navigation a li {
		padding: 12px 0;
}

.menu ul {
	width:100%;
	list-style:none;
	margin:0;
	padding: 0;
	color: white;
}

.menu li{
	margin:0;
	padding: 0;
	padding-left: 0;
	transition-property:all .2s linear 0s;
	-moz-transition:all .2s linear 0s;
	-webkit-transition:all .2s linear 0s;
	-o-transition:all .2s linear 0s;
}

.menu a {
	color: black;
	text-decoration:none;
	transition-property:all .2s linear 0s;
	-moz-transition:all .2s linear 0s;
	-webkit-transition:all .2s linear 0s;
	-o-transition:all .2s linear 0s;
	font-family: Oswald-ExtraLight;
	font-size:18px;
	text-transform: uppercase;
}

.menu a.on {
		font-family: 	Oswald-Light;
		color:rgb(124,1,1);
}

/* HEADER CONTENT BLOCK GROUP */

.headerContent {
	width: 96%;
	margin: 0 2%;
	min-height: calc(84vh - 100px);
	display: flex;
	justify-content: center;
	align-items: center;
}

.basicHeaderContent {
	text-align: center;
	min-height: 250px;
}

.basicHeader {
	min-height: 250px;
}

.basicHeaderContent h2 {
	font-size: 48px;
}

.basicHeaderContent .headerContentTopLine {
	width:18%;
	margin: 16px 41%;
}

.headerContentBlock {
	width: 100%;
	background-color: black;
	opacity: 0.8;
	padding: 12px;

}

.headerContentTopLine{
	width:25%;
	height: 4px;
	background-color: rgb(124,1,1);
	margin: 16px 0;
}

.headerContentBlock h2{
	font-family: Oswald-Regular;
	font-size: 24px;
	color:white;
	width: 100%;
	margin-top: 8px;
	margin-bottom: 16px;
	text-transform: uppercase;
}

.headerContentBlock span {
	font-family: Oswald-ExtraLight;
	font-size: 16px;
	color:white;
	width: 100%;
	text-align: justify;
	display: block;
}

.headerContentBlock a button {
	color:white;
	margin-top: 32px;
	margin-bottom: 16px;
	border: 2px solid rgb(124,1,1);
}

.headerContentBlock a button:hover {
	color: rgb(124,1,1);
}

/* WELCOME SECTION BLOCK-GROUP */

.welcomeSection {
	padding: 24px 0;
	background-color: white;
}

.welcomeSectionContent {
	width: 96%;
	margin: 0 2%;
}

.welcomeSectionContent span {
	display:block;
	font-size: 18px;
	text-align: justify;
}

.welcomeSectionContent span:first-of-type{
	font-size: 20px;
	margin-bottom: 16px;
}

.welcomeSectionImage {
	width: 96%;
	margin: 0 2%;
	padding: 16px 0;
}

.welcomeSectionContent a {
	color: rgb(124,1,1);
}
.welcomeSectionContent a button {
	color:rgb(124,1,1);
	margin-top: 16px;
	margin-bottom: 16px;
	border: 2px solid rgb(124,1,1);
	padding: 4px 32px;
}

.welcomeSectionContent a button:hover {
	color:white;
	background-color: rgb(124,1,1);
}


.welcomeSectionImage img{
	width:100%;
}

/* GALLERY BLOCK-GROUP */
.photoSection {
	padding: 24px 0;
	background: rgb(241,241,241);
}

.photoSectionContent {
	width: 96%;
	margin: 0 2%;
}

.photoSectionContent span {
	display:block;
	font-size: 18px;
	text-align: justify;
	margin-bottom: 16px;
}

.photoSectionImages {
	width: 96%;
	margin: 0 2%;
}

.photoSectionImages img {
	width: 100%;
	padding: 8px 0;
}

/* HOME SECTION BLOCK-GROUP */
.homeContactSection {
	padding: 12px 0;
	background-color: white;
}

.homeContactSectionText span a{
	color: rgb(124,1,1);
}

.homeContactSectionText {
	width: 96%;
	margin: 0 2%;
}

.homeContactSectionText span {
	display:block;
	font-size: 18px;
	text-align: justify;
}

/* CONTACT FORM */

.homeContactSectionText .field {
	width: 100%;
}

.homeContactSectionText label {
	font-family: Oswald-ExtraLight;
	text-transform: uppercase;
	letter-spacing: 1px;
	display:block;
	margin-top: 8px;
	margin-bottom: 4px;
}

.homeContactSectionText label strong {
	color: rgb(124,1,1);
}

.homeContactSectionText input {
	display:block;
	width: 96%;
	height: 30px;
	border-radius: 25px;
	background-color: rgb(241,241,241);
	border:none;
	outline: none;
	padding: 4px;
}

.homeContactSectionText textarea {
	display:block;
	width: 96%;
	height: 100px;
	border-radius: 25px;
	background-color: rgb(241,241,241);
	border:none;
	outline: none;
	padding: 4px;
}

.homeContactSectionText button {
	color:rgb(124,1,1);
	margin-bottom: 16px;
	border: 2px solid rgb(124,1,1);
	padding: 4px 32px;
}

.homeContactSectionText button:hover {
	color:white;
	background-color: rgb(124,1,1);
}


.homeContactSectionText ::-webkit-input-placeholder { /* Chrome */
	font-family: Oswald-ExtraLight;
	color: #c3bfb5;
	font-size: 13px;
	line-height: 30px;
	margin-left: 16px;
}

.homeContactSectionText :-ms-input-placeholder { /* IE 10+ */
	font-family: Oswald-ExtraLight;
	color: #c3bfb5;
	font-size: 13px;
	line-height: 30px;
	margin-left: 16px;
}

.homeContactSectionText ::-moz-placeholder { /* Firefox 19+ */
	opacity: 1;
	font-family: Oswald-ExtraLight;
	color: #c3bfb5;
	font-size: 13px;
	line-height: 30px;
	margin-left: 16px;
}

.homeContactSectionText :-moz-placeholder { /* Firefox 4 - 18 */
	opacity: 1;
	font-family: Oswald-ExtraLight;
	color: #c3bfb5;
	font-size: 13px;
	line-height: 30px;
	margin-left: 16px;
}

/* FOOTER BLOCK-Group */

.footer {
	background-color: rgb(50,50,50);

	color:white;
}

.footerLogo {
	width:100%;
	text-align: center;
	padding: 16px;
}

.footerLogo img {
	width: auto;
	height: 60px;
}

.footerCopyright{
	color:white;
	font-family: Oswald-ExtraLight;
	font-size: 18px;
	text-align: center;
	padding: 16px;
	width: 100%;
}

.basicContentSection{
	width: 96%;
	margin: 0 2%;
	text-align: justify;
	font-size: 18px;
}

.basicContentSection a:link, a:visited {
	color: rgb(124,1,1);
	font-weight: 400;
	transition:all .3s 
}

.basicContentSection a:hover {
	opacity: .8; 
}

.contactTitle {
	width: 96%;
	margin: 0 2%;
	text-align: left;
}

iframe {
	width: 100%;
	height: 350px;


	margin-top: 16px;
}

#ajax-contact iframe {
	height: 78px;
	width: 100%;
}

#form-messages {
	font-family: Oswald-Light;
	text-align:justify;
	padding-bottom: 18px;
}

@media (min-width: 560px) {

	.contactNavItem {
		width: 33%;
		float:left;
	}

	.headerContent {
		width: 60%;
		margin: 0 0 auto 2% ;

	}

	.basicHeaderContent {
		width: 84%;
		margin: 0 8%;
		min-height: 350px;
	}

	.basicHeader {
		min-height: 350px;
	}


	/* WELCOME SECTION BLOCK-GROUP */

	.welcomeSectionContent {
		width: 66%;
		margin-right: 2%;
		float:right;
	}

	.contactWelcome {
		width: 45%;
		margin: 0;
		margin-right: 5%;
		padding-left: 0;
	}

	.welcomeSectionImage {
		width: 26%;
		margin-left: 2%;
		float:left;
	}

	.welcomeSectionImage img {
		margin-top: 80px;
	}

	.basicWelcome {
		float:left;
		margin-left: 2%;
				margin-right: 0;
	}

	.basicWelcomePhoto {
		float:right;
		margin-left: 0;
		margin-right: 2%;

	}

	/* GALLERY BLOCK-GROUP */

	.photoSectionImages img {
		width: 48%;
		float:left;
		margin: 1%;
	}

	.basicGallery img {
		width: 31%;
		float:left;
		margin: 1%;
	}


}

@media (min-width: 960px) {

	.contactNavItem {
		width: 28%;
		font-size: 16px;
		line-height: 16px;
	}

	.contactNav .contactNavItem:first-child {
    margin-left: 8%;
		text-align: left;
	}

	.contactNav .contactNavItem:last-child {
  		text-align: right;
	}

	.contactNavItem img {
		height: 18px;
	}

	/* NAVIGATION STYLES */

	.nav_btn-open {
		display:none;
	}

	.nav_button {
		display:none;
	}

	/* ALLOCATION OF NAVIGATION BLOCKS */
	/* RESOLUTION FOR MIDDLE DEVICES */

	.menu {
		width: 84%;
		margin-left: 8%;
		height: 100px;
	}

	.nav_icon {
		width:20%;
		height: 100px;
	}

	.nav_icon img {
		height: 80px;
	}

	.navigation {
		display: block !important;
		background: none;
		width:80%;
		height:100px;
		padding: 0;
	}

	.navigation a li {
			padding: 0;
	}

	/* STYLES FOR OTHER ITEMS */

	.menu ul {
		position:relative;
		text-align:right;
		width:100%;
		margin:0; padding:0;
	}

	.menu li {
		display:inline-block;
		height:96px;
		margin:0; padding:0;
		line-height:100px;
		margin: 0 24px;
		padding: 0;
		transition-property:all .2s linear 0s;
		-moz-transition:all .2s linear 0s;
		-webkit-transition:all .2s linear 0s;
		-o-transition:all .2s linear 0s;
	}

	.menu a:last-child li {
		margin-right: 0;
	}

	.menu a {
		color: white;
		font-size: 15px;
		transition-property:all .2s linear 0s;
		-moz-transition:all .2s linear 0s;
		-webkit-transition:all .2s linear 0s;
		-o-transition:all .2s linear 0s;
	}

	.menu a:hover {
		font-family: Oswald-Light;
	}

	.navigation li:hover {
		border-bottom: 4px solid rgb(124,1,1);
	}

	.navigation li.on {
		border-bottom: 4px solid rgb(124,1,1);
	}

	.menu a.on {
		color:white;
		font-family: Oswald-Light;
	}

	/* HEADER CONTENT BLOCK GROUP */

	.headerContent {
		width: 400px;
		margin: 0 0 auto 8% ;
	}

	.basicHeaderContent {
		width: 84%;
		margin: 0 8%;
		min-height: 400px;
	}

	.basicHeader {
		min-height: 400px;
	}

	.basicHeaderContent h2 {
		font-size: 56px;
	}

	/* WELCOME SECTION BLOCK-GROUP */

	.welcomeSectionContent {
		width: 42%;
		margin: 0;
		margin-right: 8%;
		padding-left: 16px;
	}

	.welcomeSectionImage {
		width: 42%;
		margin: 0;
		margin-left: 8%;
		padding: 8px;
		}

		.basicWelcome {
			float:left;
			margin-left: 8%;
			margin-right: 0;
			padding-left: 0;
		}

		.basicWelcomePhoto {
			float:right;
			margin-left: 0;
			margin-right: 8%;
			padding-left: 48px;
		}


	.welcomeSectionImage img{
		height:auto;
		max-height: 260px;
		width:auto;
		max-width: 100%;
	}

	/* GALLERY BLOCK-GROUP */
	.photoSection {
		padding: 24px 0;
	}

	.photoSectionContent {
		width: 84%;
		margin: 0 8%;
	}

	.photoSectionContent .headerContentTopLine {
		width:24%;
		margin: 16px 38%;
	}

	.photoSectionContent h1 {
		text-align: center;
	}

	.photoSectionImages {
		width: 84%;
		margin: 0 8%;
	}

	.photoSectionImages img {
		width: 31%;
		float:left;
		margin: 1%;
	}

	/* HOME SECTION BLOCK-GROUP */

	.homeContactSectionText {
		width: 42%;
		margin:0;
		margin-right: 8%;
	}

	.homeContactSection .homeContactSectionText:first-of-type {
		margin-left: 8%;
		margin-right: 0;
		padding-right: 24px;
	}

	.homeContactSectionText span {
		display:block;
		font-size: 18px;
		text-align: justify;
	}

	.homeContactSectionText .name {
		width: 47%;
		float: left;
		margin-right: 1%;
	}

	.homeContactSectionText .name:first-of-type{
		margin-right: 4%;
	}


	.footerLogo {
		width:50%;
		text-align: left;
		padding: 24px;
		padding-left: 8%;
	}

	.footerLogo img {
		width: auto;
		height: 80px;
	}

	.footerCopyright{
		width: 50%;

		font-size: 18px;
		text-align: center;
		padding: 22px;
		padding-right: 8%;
		padding-top: 54px;
	}

	.basicContentSection{
		width: 84%;
		margin: 0 8%;
	}

	.contactTitle {
		width: 84%;
		margin: 0 8%;
	}

}

/* LARGEST RESOLUTION STYLES */
@media (min-width: 1366px) {


	h1 {
		font-size: 40px;
	}

	a button {
		font-size: 24px;
		padding: 4px 24px;
	}

	.header{
		min-height: 700px;
	}

	.basicHeader {
		min-height: 450px;
	}

	.menu a {
		letter-spacing: 2px;
		font-size: 16px;

	}

	.headerContent {
		width: 500px;
		min-height: 600px;
	}

	.basicHeaderContent {
		width: 84%;
		margin: 0 8%;
		min-height: 450px;
	}

	.headerContentBlock h2{
		font-size: 32px;
		margin-top: 16px;
		margin-bottom: 24px;
	}

	.basicHeaderContent h2 {
		font-size: 64px;
	}

	.headerContentBlock span {
		font-size: 24px;
	}

	.headerContentBlock a button {
			margin-top: 40px;
	}

	.welcomeSectionImage img {
		max-height: 320px;
		margin-top: 48px;
	}
	.welcomeSectionContent a button {
			margin: 24px 0;
			padding: 4px 40px;

	}

	.welcomeSectionContent span {
		font-size: 20px;
	}

	.welcomeSectionContent span:first-of-type{
		font-size: 22px;
	}

	/* GALLERY BLOCK-GROUP */

	.photoSectionContent span {
		width: 88%;
		margin: 0 6%;
		font-size: 22px;
		text-align: center;
	}

	.photoSectionImages img {
		width: 30%;
		float:left;
		margin: 1.5%;
	}

	/* HOME SECTION BLOCK-GROUP */

	.homeContactSection .homeContactSectionText:first-of-type {
		padding-right: 40px;
	}

	.homeContactSectionText span {
		font-size: 22px;
	}

	.basicContentSection{
		font-size: 20px;
	}

}

